package org.apache.ws.jaxme.generator.sg.impl;

import org.apache.ws.jaxme.generator.sg.AttributeSG;
import org.apache.ws.jaxme.generator.sg.AttributeSGChain;
import org.apache.ws.jaxme.generator.sg.PropertySG;
import org.apache.ws.jaxme.generator.sg.SGFactory;
import org.apache.ws.jaxme.generator.sg.SGlet;
import org.apache.ws.jaxme.generator.sg.SchemaSG;
import org.apache.ws.jaxme.generator.sg.TypeSG;
import org.apache.ws.jaxme.js.DirectAccessible;
import org.apache.ws.jaxme.js.JavaMethod;
import org.apache.ws.jaxme.xs.xml.XsNamespaceList;
import org.apache.ws.jaxme.xs.xml.XsQName;
import org.apache.ws.jaxme.xs.xml.XsTWildcard;
import org.xml.sax.Locator;
import org.xml.sax.SAXException;


public class AttributeSGImpl implements AttributeSG {
  private AttributeSGChain backingObject;


  public AttributeSGImpl(AttributeSGChain o) {
    if (o == null) {
      throw new NullPointerException("The supplied object must not be null.");
    }
    backingObject = o;
  }

  public XsQName getName() {
     return backingObject.getName(this);
  }

  public boolean isRequired() {
     return backingObject.isRequired(this);
  }

  public void forAllValues(JavaMethod p0, DirectAccessible p1, SGlet p2) throws SAXException {
    backingObject.forAllValues(this, p0, p1, p2);
  }

  public void forAllNonNullValues(JavaMethod p0, DirectAccessible p1, SGlet p2) throws SAXException {
    backingObject.forAllNonNullValues(this, p0, p1, p2);
  }

  public Object newPropertySGChain() {
     return backingObject.newPropertySGChain(this);
  }

  public PropertySG getPropertySG() {
     return backingObject.getPropertySG(this);
  }

  public TypeSG getTypeSG() {
     return backingObject.getTypeSG(this);
  }

  public boolean isWildcard() {
     return backingObject.isWildcard(this);
  }

  public XsNamespaceList getNamespaceList() {
     return backingObject.getNamespaceList(this);
  }

  public XsTWildcard.ProcessContents getProcessContents() {
     return backingObject.getProcessContents(this);
  }

  public void init() throws SAXException {
    backingObject.init(this);
  }

  public Locator getLocator() {
     return backingObject.getLocator(this);
  }

  public SGFactory getFactory() {
     return backingObject.getFactory(this);
  }

  public SchemaSG getSchema() {
     return backingObject.getSchema(this);
  }

  public AttributeSGChain getHeadOfChain() {
    return backingObject;
  }

}
