package org.apache.ws.jaxme.generator.sg.impl;

import org.apache.ws.jaxme.generator.sg.GroupSG;
import org.apache.ws.jaxme.generator.sg.ObjectSG;
import org.apache.ws.jaxme.generator.sg.ParticleSG;
import org.apache.ws.jaxme.generator.sg.ParticleSGChain;
import org.apache.ws.jaxme.generator.sg.PropertySG;
import org.apache.ws.jaxme.generator.sg.SGlet;
import org.apache.ws.jaxme.js.DirectAccessible;
import org.apache.ws.jaxme.js.JavaMethod;
import org.xml.sax.Locator;
import org.xml.sax.SAXException;


public class ParticleSGChainImpl implements ParticleSGChain {
  private ParticleSGChain backingObject;


  protected ParticleSGChainImpl(ParticleSGChain o) {
    if (o == null) {
      throw new NullPointerException("The supplied object must not be null.");
    }
    backingObject = o;
  }

  public void init(ParticleSG pController) throws SAXException {
    backingObject.init(pController);
  }

  public Locator getLocator(ParticleSG pController) {
     return backingObject.getLocator(pController);
  }

  public void forAllNonNullValues(ParticleSG pController, JavaMethod p0, DirectAccessible p1, SGlet p2) throws SAXException {
    backingObject.forAllNonNullValues(pController, p0, p1, p2);
  }

  public Object newPropertySGChain(ParticleSG pController) {
     return backingObject.newPropertySGChain(pController);
  }

  public PropertySG getPropertySG(ParticleSG pController) {
     return backingObject.getPropertySG(pController);
  }

  public boolean isWildcard(ParticleSG pController) {
     return backingObject.isWildcard(pController);
  }

  public GroupSG getGroupSG(ParticleSG pController) {
     return backingObject.getGroupSG(pController);
  }

  public boolean isGroup(ParticleSG pController) {
     return backingObject.isGroup(pController);
  }

  public boolean isElement(ParticleSG pController) {
     return backingObject.isElement(pController);
  }

  public ObjectSG getObjectSG(ParticleSG pController) {
     return backingObject.getObjectSG(pController);
  }

  public int getMinOccurs(ParticleSG pController) {
     return backingObject.getMinOccurs(pController);
  }

  public int getMaxOccurs(ParticleSG pController) {
     return backingObject.getMaxOccurs(pController);
  }

  public boolean isMultiple(ParticleSG pController) {
     return backingObject.isMultiple(pController);
  }

}
