package org.apache.ws.jaxme.generator.sg.impl;

import org.apache.ws.jaxme.generator.sg.PropertySG;
import org.apache.ws.jaxme.generator.sg.PropertySGChain;
import org.apache.ws.jaxme.generator.sg.SGlet;
import org.apache.ws.jaxme.js.DirectAccessible;
import org.apache.ws.jaxme.js.JavaField;
import org.apache.ws.jaxme.js.JavaMethod;
import org.apache.ws.jaxme.js.JavaQName;
import org.apache.ws.jaxme.js.JavaSource;
import org.xml.sax.SAXException;


public class PropertySGChainImpl implements PropertySGChain {
  private PropertySGChain backingObject;


  protected PropertySGChainImpl(PropertySGChain o) {
    if (o == null) {
      throw new NullPointerException("The supplied object must not be null.");
    }
    backingObject = o;
  }

  public Object getValue(PropertySG pController, DirectAccessible p0) throws SAXException {
     return backingObject.getValue(pController, p0);
  }

  public void init(PropertySG pController) throws SAXException {
    backingObject.init(pController);
  }

  public void generate(PropertySG pController, JavaSource p0) throws SAXException {
    backingObject.generate(pController, p0);
  }

  public void setValue(PropertySG pController, JavaMethod p0, DirectAccessible p1, Object p2, JavaQName p3) throws SAXException {
    backingObject.setValue(pController, p0, p1, p2, p3);
  }

  public void addValue(PropertySG pController, JavaMethod p0, DirectAccessible p1, Object p2, JavaQName p3) throws SAXException {
    backingObject.addValue(pController, p0, p1, p2, p3);
  }

  public void forAllValues(PropertySG pController, JavaMethod p0, DirectAccessible p1, SGlet p2) throws SAXException {
    backingObject.forAllValues(pController, p0, p1, p2);
  }

  public void forAllNonNullValues(PropertySG pController, JavaMethod p0, DirectAccessible p1, SGlet p2) throws SAXException {
    backingObject.forAllNonNullValues(pController, p0, p1, p2);
  }

  public boolean hasIsSetMethod(PropertySG pController) {
     return backingObject.hasIsSetMethod(pController);
  }

  public String getCollectionType(PropertySG pController) {
     return backingObject.getCollectionType(pController);
  }

  public String getXMLFieldName(PropertySG pController) throws SAXException {
     return backingObject.getXMLFieldName(pController);
  }

  public String getXMLGetMethodName(PropertySG pController) throws SAXException {
     return backingObject.getXMLGetMethodName(pController);
  }

  public String getXMLSetMethodName(PropertySG pController) throws SAXException {
     return backingObject.getXMLSetMethodName(pController);
  }

  public String getXMLIsSetMethodName(PropertySG pController) throws SAXException {
     return backingObject.getXMLIsSetMethodName(pController);
  }

  public JavaField getXMLField(PropertySG pController, JavaSource p0) throws SAXException {
     return backingObject.getXMLField(pController, p0);
  }

  public JavaMethod getXMLGetMethod(PropertySG pController, JavaSource p0) throws SAXException {
     return backingObject.getXMLGetMethod(pController, p0);
  }

  public JavaMethod getXMLSetMethod(PropertySG pController, JavaSource p0) throws SAXException {
     return backingObject.getXMLSetMethod(pController, p0);
  }

  public JavaMethod getXMLIsSetMethod(PropertySG pController, JavaSource p0) throws SAXException {
     return backingObject.getXMLIsSetMethod(pController, p0);
  }

}
