package org.apache.ws.jaxme.generator.sg.impl;

import org.apache.ws.jaxme.generator.sg.PropertySG;
import org.apache.ws.jaxme.generator.sg.PropertySGChain;
import org.apache.ws.jaxme.generator.sg.SGlet;
import org.apache.ws.jaxme.js.DirectAccessible;
import org.apache.ws.jaxme.js.JavaField;
import org.apache.ws.jaxme.js.JavaMethod;
import org.apache.ws.jaxme.js.JavaQName;
import org.apache.ws.jaxme.js.JavaSource;
import org.xml.sax.SAXException;


public class PropertySGImpl implements PropertySG {
  private PropertySGChain backingObject;


  public PropertySGImpl(PropertySGChain o) {
    if (o == null) {
      throw new NullPointerException("The supplied object must not be null.");
    }
    backingObject = o;
  }

  public Object getValue(DirectAccessible p0) throws SAXException {
     return backingObject.getValue(this, p0);
  }

  public void init() throws SAXException {
    backingObject.init(this);
  }

  public void generate(JavaSource p0) throws SAXException {
    backingObject.generate(this, p0);
  }

  public void setValue(JavaMethod p0, DirectAccessible p1, Object p2, JavaQName p3) throws SAXException {
    backingObject.setValue(this, p0, p1, p2, p3);
  }

  public void addValue(JavaMethod p0, DirectAccessible p1, Object p2, JavaQName p3) throws SAXException {
    backingObject.addValue(this, p0, p1, p2, p3);
  }

  public void forAllValues(JavaMethod p0, DirectAccessible p1, SGlet p2) throws SAXException {
    backingObject.forAllValues(this, p0, p1, p2);
  }

  public void forAllNonNullValues(JavaMethod p0, DirectAccessible p1, SGlet p2) throws SAXException {
    backingObject.forAllNonNullValues(this, p0, p1, p2);
  }

  public boolean hasIsSetMethod() {
     return backingObject.hasIsSetMethod(this);
  }

  public String getCollectionType() {
     return backingObject.getCollectionType(this);
  }

  public String getXMLFieldName() throws SAXException {
     return backingObject.getXMLFieldName(this);
  }

  public String getXMLGetMethodName() throws SAXException {
     return backingObject.getXMLGetMethodName(this);
  }

  public String getXMLSetMethodName() throws SAXException {
     return backingObject.getXMLSetMethodName(this);
  }

  public String getXMLIsSetMethodName() throws SAXException {
     return backingObject.getXMLIsSetMethodName(this);
  }

  public JavaField getXMLField(JavaSource p0) throws SAXException {
     return backingObject.getXMLField(this, p0);
  }

  public JavaMethod getXMLGetMethod(JavaSource p0) throws SAXException {
     return backingObject.getXMLGetMethod(this, p0);
  }

  public JavaMethod getXMLSetMethod(JavaSource p0) throws SAXException {
     return backingObject.getXMLSetMethod(this, p0);
  }

  public JavaMethod getXMLIsSetMethod(JavaSource p0) throws SAXException {
     return backingObject.getXMLIsSetMethod(this, p0);
  }

  public PropertySGChain getHeadOfChain() {
    return backingObject;
  }

}
