package org.apache.ws.jaxme.generator.sg.impl;

import org.apache.ws.jaxme.generator.Generator;
import org.apache.ws.jaxme.generator.sg.Context;
import org.apache.ws.jaxme.generator.sg.Facet;
import org.apache.ws.jaxme.generator.sg.GroupSG;
import org.apache.ws.jaxme.generator.sg.ObjectSG;
import org.apache.ws.jaxme.generator.sg.SGFactory;
import org.apache.ws.jaxme.generator.sg.SGFactoryChain;
import org.apache.ws.jaxme.generator.sg.SchemaSG;
import org.apache.ws.jaxme.generator.sg.TypeSG;
import org.apache.ws.jaxme.xs.XSAny;
import org.apache.ws.jaxme.xs.XSElement;
import org.apache.ws.jaxme.xs.XSEnumeration;
import org.apache.ws.jaxme.xs.XSGroup;
import org.apache.ws.jaxme.xs.XSObjectFactory;
import org.apache.ws.jaxme.xs.XSParser;
import org.apache.ws.jaxme.xs.XSSchema;
import org.apache.ws.jaxme.xs.XSType;
import org.apache.ws.jaxme.xs.xml.XsObjectFactory;
import org.apache.ws.jaxme.xs.xml.XsQName;
import org.xml.sax.SAXException;


public class SGFactoryImpl implements SGFactory {
  private SGFactoryChain backingObject;


  public SGFactoryImpl(SGFactoryChain o) {
    if (o == null) {
      throw new NullPointerException("The supplied object must not be null.");
    }
    backingObject = o;
  }

  public void init() {
    backingObject.init(this);
  }

  public GroupSG[] getGroups() {
     return backingObject.getGroups(this);
  }

  public TypeSG getTypeSG(XSType p0) throws SAXException {
     return backingObject.getTypeSG(this, p0);
  }

  public TypeSG getTypeSG(XSType p0, Context p1, XsQName p2) throws SAXException {
     return backingObject.getTypeSG(this, p0, p1, p2);
  }

  public TypeSG getTypeSG(XSType p0, XsQName p1) throws SAXException {
     return backingObject.getTypeSG(this, p0, p1);
  }

  public GroupSG getGroupSG(XSGroup p0) throws SAXException {
     return backingObject.getGroupSG(this, p0);
  }

  public GroupSG getGroupSG(XSGroup p0, Context p1) throws SAXException {
     return backingObject.getGroupSG(this, p0, p1);
  }

  public ObjectSG getObjectSG(XSElement p0) throws SAXException {
     return backingObject.getObjectSG(this, p0);
  }

  public ObjectSG getObjectSG(XSElement p0, Context p1) throws SAXException {
     return backingObject.getObjectSG(this, p0, p1);
  }

  public ObjectSG getObjectSG(XSAny p0, Context p1) throws SAXException {
     return backingObject.getObjectSG(this, p0, p1);
  }

  public TypeSG[] getTypes() {
     return backingObject.getTypes(this);
  }

  public ObjectSG[] getObjects() {
     return backingObject.getObjects(this);
  }

  public Generator getGenerator() {
     return backingObject.getGenerator(this);
  }

  public XsObjectFactory newXsObjectFactory() throws SAXException {
     return backingObject.newXsObjectFactory(this);
  }

  public XSObjectFactory newXSObjectFactory() throws SAXException {
     return backingObject.newXSObjectFactory(this);
  }

  public Object newSchemaSG(XSSchema p0) throws SAXException {
     return backingObject.newSchemaSG(this, p0);
  }

  public SchemaSG getSchemaSG(XSSchema p0) throws SAXException {
     return backingObject.getSchemaSG(this, p0);
  }

  public SchemaSG getSchemaSG() {
     return backingObject.getSchemaSG(this);
  }

  public Object newObjectSG(XSElement p0) throws SAXException {
     return backingObject.newObjectSG(this, p0);
  }

  public Object newObjectSG(XSElement p0, Context p1) throws SAXException {
     return backingObject.newObjectSG(this, p0, p1);
  }

  public Object newObjectSG(XSAny p0) {
     return backingObject.newObjectSG(this, p0);
  }

  public GroupSG newGroupSG(XSGroup p0) throws SAXException {
     return backingObject.newGroupSG(this, p0);
  }

  public GroupSG newGroupSG(XSGroup p0, Context p1) throws SAXException {
     return backingObject.newGroupSG(this, p0, p1);
  }

  public Object newTypeSG(XSType p0) throws SAXException {
     return backingObject.newTypeSG(this, p0);
  }

  public Object newTypeSG(XSType p0, Context p1, XsQName p2) throws SAXException {
     return backingObject.newTypeSG(this, p0, p1, p2);
  }

  public Object newTypeSG(XSType p0, XsQName p1) throws SAXException {
     return backingObject.newTypeSG(this, p0, p1);
  }

  public XSParser newXSParser() throws SAXException {
     return backingObject.newXSParser(this);
  }

  public Facet newFacet(XSType p0, XSEnumeration[] p1) throws SAXException {
     return backingObject.newFacet(this, p0, p1);
  }

  public SGFactoryChain getHeadOfChain() {
    return backingObject;
  }

}
