package org.apache.ws.jaxme.generator.sg.impl;

import org.apache.ws.jaxme.generator.sg.AtomicTypeSG;
import org.apache.ws.jaxme.generator.sg.Facet;
import org.apache.ws.jaxme.generator.sg.ListTypeSG;
import org.apache.ws.jaxme.generator.sg.SGFactory;
import org.apache.ws.jaxme.generator.sg.SGlet;
import org.apache.ws.jaxme.generator.sg.SchemaSG;
import org.apache.ws.jaxme.generator.sg.SimpleTypeSG;
import org.apache.ws.jaxme.generator.sg.SimpleTypeSGChain;
import org.apache.ws.jaxme.generator.sg.UnionTypeSG;
import org.apache.ws.jaxme.js.DirectAccessible;
import org.apache.ws.jaxme.js.JavaMethod;
import org.apache.ws.jaxme.js.JavaQName;
import org.apache.ws.jaxme.js.JavaSource;
import org.xml.sax.Locator;
import org.xml.sax.SAXException;


public class SimpleTypeSGChainImpl implements SimpleTypeSGChain {
  private SimpleTypeSGChain backingObject;


  protected SimpleTypeSGChainImpl(SimpleTypeSGChain o) {
    if (o == null) {
      throw new NullPointerException("The supplied object must not be null.");
    }
    backingObject = o;
  }

  public void generate(SimpleTypeSG pController) throws SAXException {
    backingObject.generate(pController);
  }

  public void generate(SimpleTypeSG pController, JavaSource p0) throws SAXException {
    backingObject.generate(pController, p0);
  }

  public boolean isNullable(SimpleTypeSG pController) {
     return backingObject.isNullable(pController);
  }

  public void setNullable(SimpleTypeSG pController, boolean p0) {
    backingObject.setNullable(pController, p0);
  }

  public void forAllValues(SimpleTypeSG pController, JavaMethod p0, Object p1, SGlet p2) throws SAXException {
    backingObject.forAllValues(pController, p0, p1, p2);
  }

  public void forAllNonNullValues(SimpleTypeSG pController, JavaMethod p0, Object p1, SGlet p2) throws SAXException {
    backingObject.forAllNonNullValues(pController, p0, p1, p2);
  }

  public String getCollectionType(SimpleTypeSG pController) {
     return backingObject.getCollectionType(pController);
  }

  public JavaMethod getXMLSetMethod(SimpleTypeSG pController, JavaSource p0, String p1, String p2) throws SAXException {
     return backingObject.getXMLSetMethod(pController, p0, p1, p2);
  }

  public boolean isAtomic(SimpleTypeSG pController) {
     return backingObject.isAtomic(pController);
  }

  public boolean isList(SimpleTypeSG pController) {
     return backingObject.isList(pController);
  }

  public boolean isUnion(SimpleTypeSG pController) {
     return backingObject.isUnion(pController);
  }

  public AtomicTypeSG getAtomicType(SimpleTypeSG pController) {
     return backingObject.getAtomicType(pController);
  }

  public ListTypeSG getListType(SimpleTypeSG pController) {
     return backingObject.getListType(pController);
  }

  public UnionTypeSG getUnionType(SimpleTypeSG pController) {
     return backingObject.getUnionType(pController);
  }

  public JavaQName getRuntimeType(SimpleTypeSG pController) {
     return backingObject.getRuntimeType(pController);
  }

  public Object getCastFromString(SimpleTypeSG pController, JavaMethod p0, Object p1, Object p2) throws SAXException {
     return backingObject.getCastFromString(pController, p0, p1, p2);
  }

  public Object getCastFromString(SimpleTypeSG pController, String p0) throws SAXException {
     return backingObject.getCastFromString(pController, p0);
  }

  public Object getCastToString(SimpleTypeSG pController, JavaMethod p0, Object p1, DirectAccessible p2) throws SAXException {
     return backingObject.getCastToString(pController, p0, p1, p2);
  }

  public boolean hasSetMethod(SimpleTypeSG pController) throws SAXException {
     return backingObject.hasSetMethod(pController);
  }

  public Facet[] getFacets(SimpleTypeSG pController) {
     return backingObject.getFacets(pController);
  }

  public Facet getFacet(SimpleTypeSG pController, Facet.Type p0) {
     return backingObject.getFacet(pController, p0);
  }

  public Object getEqualsCheck(SimpleTypeSG pController, JavaMethod p0, Object p1, Object p2) throws SAXException {
     return backingObject.getEqualsCheck(pController, p0, p1, p2);
  }

  public Object getInitialValue(SimpleTypeSG pController, JavaSource p0) throws SAXException {
     return backingObject.getInitialValue(pController, p0);
  }

  public void addValidation(SimpleTypeSG pController, JavaMethod p0, DirectAccessible p1) throws SAXException {
    backingObject.addValidation(pController, p0, p1);
  }

  public void init(SimpleTypeSG pController) throws SAXException {
    backingObject.init(pController);
  }

  public Locator getLocator(SimpleTypeSG pController) {
     return backingObject.getLocator(pController);
  }

  public SGFactory getFactory(SimpleTypeSG pController) {
     return backingObject.getFactory(pController);
  }

  public SchemaSG getSchema(SimpleTypeSG pController) {
     return backingObject.getSchema(pController);
  }

}
