package org.apache.ws.jaxme.generator.sg.impl;

import org.apache.ws.jaxme.generator.sg.ComplexTypeSG;
import org.apache.ws.jaxme.generator.sg.SGFactory;
import org.apache.ws.jaxme.generator.sg.SchemaSG;
import org.apache.ws.jaxme.generator.sg.SimpleTypeSG;
import org.apache.ws.jaxme.generator.sg.TypeSG;
import org.apache.ws.jaxme.generator.sg.TypeSGChain;
import org.apache.ws.jaxme.js.JavaField;
import org.apache.ws.jaxme.js.JavaMethod;
import org.apache.ws.jaxme.js.JavaQName;
import org.apache.ws.jaxme.js.JavaSource;
import org.apache.ws.jaxme.xs.xml.XsQName;
import org.apache.ws.jaxme.xs.xml.XsSchemaHeader;
import org.xml.sax.Locator;
import org.xml.sax.SAXException;


public class TypeSGChainImpl implements TypeSGChain {
  private TypeSGChain backingObject;


  protected TypeSGChainImpl(TypeSGChain o) {
    if (o == null) {
      throw new NullPointerException("The supplied object must not be null.");
    }
    backingObject = o;
  }

  public void setProperty(TypeSG pController, String p0, Object p1) {
    backingObject.setProperty(pController, p0, p1);
  }

  public Object getProperty(TypeSG pController, String p0) {
     return backingObject.getProperty(pController, p0);
  }

  public XsQName getName(TypeSG pController) {
     return backingObject.getName(pController);
  }

  public void generate(TypeSG pController) throws SAXException {
    backingObject.generate(pController);
  }

  public void generate(TypeSG pController, JavaSource p0) throws SAXException {
    backingObject.generate(pController, p0);
  }

  public JavaField getXMLField(TypeSG pController, JavaSource p0, String p1, String p2) throws SAXException {
     return backingObject.getXMLField(pController, p0, p1, p2);
  }

  public JavaMethod getXMLGetMethod(TypeSG pController, JavaSource p0, String p1, String p2) throws SAXException {
     return backingObject.getXMLGetMethod(pController, p0, p1, p2);
  }

  public JavaMethod getXMLSetMethod(TypeSG pController, JavaSource p0, String p1, String p2) throws SAXException {
     return backingObject.getXMLSetMethod(pController, p0, p1, p2);
  }

  public JavaMethod getXMLIsSetMethod(TypeSG pController, JavaSource p0, String p1, String p2) throws SAXException {
     return backingObject.getXMLIsSetMethod(pController, p0, p1, p2);
  }

  public JavaQName getRuntimeType(TypeSG pController) throws SAXException {
     return backingObject.getRuntimeType(pController);
  }

  public boolean isGlobalType(TypeSG pController) {
     return backingObject.isGlobalType(pController);
  }

  public boolean isGlobalClass(TypeSG pController) {
     return backingObject.isGlobalClass(pController);
  }

  public boolean isComplex(TypeSG pController) {
     return backingObject.isComplex(pController);
  }

  public Object newSimpleTypeSG(TypeSG pController) throws SAXException {
     return backingObject.newSimpleTypeSG(pController);
  }

  public Object newComplexTypeSG(TypeSG pController) throws SAXException {
     return backingObject.newComplexTypeSG(pController);
  }

  public ComplexTypeSG getComplexTypeSG(TypeSG pController) {
     return backingObject.getComplexTypeSG(pController);
  }

  public SimpleTypeSG getSimpleTypeSG(TypeSG pController) {
     return backingObject.getSimpleTypeSG(pController);
  }

  public boolean isRestriction(TypeSG pController) {
     return backingObject.isRestriction(pController);
  }

  public TypeSG getRestrictedType(TypeSG pController) {
     return backingObject.getRestrictedType(pController);
  }

  public boolean isExtension(TypeSG pController) {
     return backingObject.isExtension(pController);
  }

  public TypeSG getExtendedType(TypeSG pController) {
     return backingObject.getExtendedType(pController);
  }

  public XsSchemaHeader getSchemaHeader(TypeSG pController) {
     return backingObject.getSchemaHeader(pController);
  }

  public void init(TypeSG pController) throws SAXException {
    backingObject.init(pController);
  }

  public Locator getLocator(TypeSG pController) {
     return backingObject.getLocator(pController);
  }

  public SGFactory getFactory(TypeSG pController) {
     return backingObject.getFactory(pController);
  }

  public SchemaSG getSchema(TypeSG pController) {
     return backingObject.getSchema(pController);
  }

}
